---
title: Page Not Found | GitLab Documentation
searchbar: false
---

<div class='four-oh-four'>
  <div class="center">
    <img src="<%= @items['/assets/images/error-404.svg'].path %>" alt="404"/>
    <br>
    <h2>There's no page at this address!</h2>
    <br>
    <p class="gray">
      <em>If you followed a link from the <strong>Versions dropdown menu</strong>,
      the page does not exist in this version.</em>
    </p>
    <br>
    <div id="pagesearchbar"> <!-- pagesearchbar -->
      <form id="search-form" action="/search/" method="get">
        <div class="input-container input-group">
          <span class="input-group-prepend search-icon">
            <i class="input-group-text fa fa-search" aria-hidden="true"></i>
          </span>
          <input id="search-input" type="text" name="q" class="docsearch form-control" placeholder="Type to search" required="true"/>
          <span class="input-group-btn">
            <button class="btn btn-primary" type="submit">All results</button>
          </span>
        </div>
      </form>
    </div> <!-- pagesearchbar -->
    <div class="back-button center">
      <a href="javascript:history.back()" class="btn btn-warning">
      <i class="fa fa-arrow-left" aria-hidden="true"></i> Go back</a>
    </div>
    <br>
  </div>
</div>

<% if ENV['NANOC_ENV'] == 'production' %>
<script type="text/javascript">
  // Redirect to /archives on a non-existing versions
  // Place here all offline versions as seen inside content/_data/versions.yaml
  if (/10.3|10.4|10.5|10.6|10.7|10.8|11.0|11.1|11.2|11.3|11.4|11.5|11.6|11.7|11.8|11.9|11.10|11.11|12.0|12.1|12.2|12.3|12.4/.test(window.location.href)) {
    window.location.replace("https://docs.gitlab.com/archives");
  }
</script>
<% end %>
